Bug 226552 - www/phalcon: use PHP version prefix instead of suffix
Summary: www/phalcon: use PHP version prefix instead of suffix
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-12 10:44 UTC by Franco Fichtner
Modified: 2018-03-21 17:25 UTC (History)
2 users (show)

See Also:
pi: maintainer-feedback+


Attachments
patch against head (400 bytes, patch)
2018-03-12 10:44 UTC, Franco Fichtner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Franco Fichtner 2018-03-12 10:44:29 UTC
Created attachment 191446 [details]
patch against head

Hi,

Phalcon was mistakenly converted to use the PHP version suffix due to the PHP flavoring, but Phalcon is a module and should therefore use the prefix.  A patch is attached.


Cheers,
Franco
Comment 1 linpct 2018-03-19 03:16:38 UTC
I have no suggestions here, just let the committers to decide.

Thanks.
Comment 2 Kurt Jaeger freebsd_committer 2018-03-21 17:11:49 UTC
Testbuilds@work
Comment 3 Kurt Jaeger freebsd_committer 2018-03-21 17:25:44 UTC
Committed, thanks!
Comment 4 commit-hook freebsd_committer 2018-03-21 17:25:53 UTC
A commit references this bug:

Author: pi
Date: Wed Mar 21 17:25:13 UTC 2018
New revision: 465198
URL: https://svnweb.freebsd.org/changeset/ports/465198

Log:
  www/phalcon: use PHP version prefix instead of suffix

  PR:		226552
  Submitted by:	Franco Fichtner <franco@opnsense.org>
  Approved by:	linpct@gmail.com (maintainer)

Changes:
  head/www/phalcon/Makefile